'use strict';

const path = require('path');

const config = require(path.join(__dirname, '/config.json'));

function print(parentKey, o) {
  for(var key in o) {
    var currentKey = (parentKey ? parentKey + '_' : '') + key;
    var current = o[key];
    if (typeof(current) === 'object'){
      print(currentKey, current);
    } else {
      let envVar = currentKey.toUpperCase()
      console.log(`Checking for environment variable ${envVar}`);
      if(process.env[envVar]) {
        console.log(` -> Overriding value`);
        o[key] = process.env[envVar];
      }
    }
  }
  
}

print(null, config);

console.log(config);

module.exports = config;